# Uses of Class
org.apache.lucene.search.SortField

Packages that use SortField
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of SortField in org.apache.lucene.document

  Methods in org.apache.lucene.document that return SortField
  Modifier and Type
  Method
  Description
  `static SortField`
  LatLonDocValuesField.`newDistanceSort(String field, double latitude, double longitude)`
  Creates a SortField for sorting by distance from a location.
  `static SortField`
  XYDocValuesField.`newDistanceSort(String field, float x, float y)`
  Creates a SortField for sorting by distance from a location.
  `static SortField`
  FeatureField.`newFeatureSort(String field, String featureName)`
  Creates a SortField for sorting by the value of a feature.
  `static SortField`
  DoubleField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for double values.
  `static SortField`
  FloatField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for float values.
  `static SortField`
  IntField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for int values.
  `static SortField`
  KeywordField.`newSortField(String field, boolean reverse, SortedSetSelector.Type selector)`
  Create a new `SortField` for `BytesRef` values.
  `static SortField`
  LongField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for long values.

- ## Uses of SortField in org.apache.lucene.index

  Methods in org.apache.lucene.index that return SortField
  Modifier and Type
  Method
  Description
  `abstract SortField`
  SortFieldProvider.`readSortField(DataInput in)`
  Reads a SortField from serialized bytes
  Methods in org.apache.lucene.index with parameters of type SortField
  Modifier and Type
  Method
  Description
  `static void`
  SortFieldProvider.`write(SortField sf, DataOutput output)`
  Writes a SortField to a DataOutput
  `abstract void`
  SortFieldProvider.`writeSortField(SortField sf, DataOutput out)`
  Writes a SortField to a DataOutput

- ## Uses of SortField in org.apache.lucene.search

  Subclasses of SortField in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `class`
  `SortedNumericSortField`
  SortField for `SortedNumericDocValues`.
  `class`
  `SortedSetSortField`
  SortField for `SortedSetDocValues`.
  Fields in org.apache.lucene.search declared as SortField
  Modifier and Type
  Field
  Description
  `static final SortField`
  SortField.`FIELD_DOC`
  Represents sorting by document number (index order).
  `static final SortField`
  SortField.`FIELD_SCORE`
  Represents sorting by document score (relevance).
  `protected final SortField[]`
  FieldValueHitQueue.`fields`
  Stores the sort criteria being used.
  `SortField[]`
  TopFieldDocs.`fields`
  The fields which were used to sort results by.
  Methods in org.apache.lucene.search that return SortField
  Modifier and Type
  Method
  Description
  `SortField[]`
  Sort.`getSort()`
  Representation of the sort criteria.
  `SortField`
  DoubleValuesSource.`getSortField(boolean reverse)`
  Create a sort field based on the value of this producer
  `SortField`
  LongValuesSource.`getSortField(boolean reverse)`
  Create a sort field based on the value of this producer
  `SortField`
  SortedNumericSortField.Provider.`readSortField(DataInput in)`
  `SortField`
  SortedSetSortField.Provider.`readSortField(DataInput in)`
  `SortField`
  SortField.Provider.`readSortField(DataInput in)`
  `SortField`
  SortField.`rewrite(IndexSearcher searcher)`
  Rewrites this SortField, returning a new SortField if a change is made.
  Methods in org.apache.lucene.search with parameters of type SortField
  Modifier and Type
  Method
  Description
  `static <T extends FieldValueHitQueue.Entry>
  FieldValueHitQueue<T>`
  FieldValueHitQueue.`create(SortField[] fields, int size)`
  Creates a hit queue sorted by the given list of fields.
  `void`
  SortedNumericSortField.Provider.`writeSortField(SortField sf, DataOutput out)`
  `void`
  SortedSetSortField.Provider.`writeSortField(SortField sf, DataOutput out)`
  `void`
  SortField.Provider.`writeSortField(SortField sf, DataOutput out)`
  Constructors in org.apache.lucene.search with parameters of type SortField
  Modifier
  Constructor
  Description
  ``
  `Sort(SortField... fields)`
  Sets the sort to the given criteria in succession: the first SortField is checked first, but if it produces a tie, then the second SortField is used to break the tie, etc.
  ``
  `TopFieldDocs(TotalHits totalHits, ScoreDoc[] scoreDocs, SortField[] fields)`
  Creates one of these objects.